#ifndef VIDEO_H
#define VIDEO_H

#include "imagenes.h"
// Se usa el mdulo de procesamiento de imgenes

extern const char FiltroVideo[];

///////////////////////////////////////////////////////////////////
/////////  FUNCIONES DE PROCESAMIENTO DE VIDEO       //////////////
///////////////////////////////////////////////////////////////////

void rotar_video (int nfoto, const char *nombre, int modo, int nframes, int codec, double fps= 30.0);
// Crea un vdeo, con el nombre dado (que debe tener extensin .avi) de tamao
// nframes, con una rotacin de 360 de la imagen nfoto

int inic_camara (int numero= 0);
// Inicializa la cmara con el nmero de ndice indicado. La imagen se muestra
// en una ventana. Si no se puede abrir la cmara devuelve 0. En otro caso
// devuelve el nmero de milisegundos entre cada par de frames

void fin_camara (void);
// Finaliza la captura de cmara, cerrando la ventana correspondiente

void acumular_media (bool primera= false);
// Captura una imagen de la cmara y la acumula en una media. La cmara debe
// estar inicializada. Si primera==true significa que es la primera imagen

void media_a_nueva (int nfoto);
// Almacena la imagen media actual en la entrada nfoto

void mostrar_camara (void);
// Captura una imagen de la cmara y la muestra en la ventana correspondiente

void dialogo_video (int tipo);
// Abre el cuadro de dilogo de vdeo asociado a la cmara. La cmara debe
// estar inicializada. tipo puede ser _DIALOG_FORMAT o _DIALOG_SOURCE

#endif // VIDEO_H
